## gpspm 1.36.5-1

=== debian/changelog ===
gpspm (1.36.5-1) unstable; urgency=low

  * Initial release 

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 05:54:51 -0500
