=== debian/control ===
Source: gpspm
Section: user/games
Priority: extra
Maintainer: Luiz Mendonca <luiscesjr@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, zlib1g-dev, libhildon1-dev,  libpulse-dev, libasound2-dev, libbz2-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: gpspm
Architecture: armel
Depends: libhildon-1, gpspgui
Description: gpSP GameBoyAdvance emulator
 Port of the famous gpSP emulator for PSP GP2X WIZ CAANOO SYMBIAN and
 many other plataforms. It is widely known for it's speed and compability.
