## gpspm 1.36.5-2

=== debian/changelog ===
gpspm (1.36.5-2) unstable; urgency=low

  * Fixed up buttons
  * Fixed up dependencies

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 05:54:51 -0500
