=== debian/changelog ===
gpspm (2.0.0-1) unstable; urgency=low

  * Fixed up actual build
  * Added GTK

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 22:27:51 +0200
