=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gpspm
 Architecture: armel
-Depends: libhildon-1, gpspgui
+Depends: libhildon1, gpspgui
 Description: gpSP GameBoyAdvance emulator
  Port of the famous gpSP emulator for PSP GP2X WIZ CAANOO SYMBIAN and
  many other plataforms. It is widely known for it's speed and compability.
