=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,6 @@
 	dh_install
 	dh_installdirs
 
-
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -67,8 +66,8 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
+	dh_install
+	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
