=== debian/changelog ===
gpspm (2.0.0-2) unstable; urgency=low

  * Fixed Build

 -- Luiz Mendonca <luiscesjr@gmail.com>  Sun, 27 Nov 2011 22:27:51 +0200
