## gpspm 2.0.1-3

=== debian/changelog ===
gpspm (2.0.1-3) unstable; urgency=low

  * refactoring

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 1 Dec 2011 12:27:51 +0200
 
