## gpspm 2.0.1-4

=== maemo/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # gpSP makefile
 # Gilead Kutnick - Exophase
 # pandora port - notaz
+# maemo port - bonapart
 
 # Global definitions
 
 CC        = $(CROSS_COMPILE)gcc
 
-OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o gui.o \
+OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
             cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
 BIN       = gpspm
 
@@ -26,7 +27,7 @@
 
 # Compilation:
 
-all:	$(BIN)
+all: $(BIN)
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<
@@ -41,9 +42,15 @@
 
 # ----------- release -----------
 
+rel: $(BIN) gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
+	rm -rf out
+	mkdir out
+	strip $^
+	cp $^ out/
 
-rel: gpsp gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
+# ----------- debug -------------
+
+debug: $(BIN)
 	rm -rf out
 	mkdir out
 	cp $^ out/
-
