=== debian/changelog ===
gpspm (2.0.1-4) unstable; urgency=low

  * speed ?

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 1 Dec 2011 14:27:51 +0200
 
