## gpspm 2.0.1-5

=== debian/changelog ===
gpspm (2.0.1-5) unstable; urgency=low

  * Diablo image fix

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 2 Dec 2011 15:27:51 +0200
 
