## gpspm 2.0.1-6

=== maemo/Makefile ===
--- 
+++ 
@@ -15,19 +15,18 @@
 
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
-CFLAGS     += -mcpu=cortex-a8 -mtune=cortex-a8 -mfloat-abi=softfp -ffast-math
 CFLAGS     += -ggdb
 CFLAGS     += -O2
-CFLAGS     += -DMAEMO
+CFLAGS     += -DDIABLO -DMAEMO
 
 # expecting to have PATH set up to get correct sdl-config first
-CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1)
-LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1)
+CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
+LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
 LIBS       += -ldl -lpthread -lz 
-
+LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
 # Compilation:
 
-all: $(BIN)
+all: debug
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<
