=== debian/changelog ===
gpspm (2.0.1-6) unstable; urgency=low

  * Diablo image fix

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 2 Dec 2011 16:27:51 +0200
 
