## gpspm 2.0.1-8

=== maemo-gtk/Makefile ===
# gpSP makefile
# Gilead Kutnick - Exophase
# pandora port - notaz
# maemo port - bonapart

# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = hildon-animation-actor.o maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
BIN       = gpspm

# Platform specific definitions 

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
CFLAGS     += -ggdb
CFLAGS     += -O2
CFLAGS     += -DDIABLO -DMAEMO

# expecting to have PATH set up to get correct sdl-config first
CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
LIBS       += -ldl -lpthread -lz 
LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
# Compilation:

all: debug

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)

# ----------- release -----------

rel: $(BIN) gpsp.sh gpsp.pxml gba_icon.png readme.txt ../game_config.txt ../COPYING.DOC
	rm -rf out
	mkdir out
	strip $^
	cp $^ out/

# ----------- debug -------------

debug: $(BIN)
	rm -rf out
	mkdir out
	cp $^ out/
