=== maemo/Makefile ===
--- 
+++ 
@@ -8,25 +8,24 @@
 CC        = $(CROSS_COMPILE)gcc
 
 OBJS      = maemo.o cpu.o memory.o video.o input.o sound.o mgui.o \
-            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o           
+            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o main.o 
 BIN       = gpspm
 
 # Platform specific definitions 
-
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -Wall
+CFLAGS     += -mfloat-abi=softfp -ffast-math
 CFLAGS     += -ggdb
 CFLAGS     += -O2
-CFLAGS     += -DDIABLO -DMAEMO
+CFLAGS     += -DMAEMO
 
 # expecting to have PATH set up to get correct sdl-config first
-CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1 gtk+-2.0)
-LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1 gtk+-2.0)
-LIBS       += -ldl -lpthread -lz 
-LIBS+=-I/targets/DIABLO_X86/usr/include/c++/3.4/
-# Compilation:
+CFLAGS     += `sdl-config --cflags`
+LIBS       += `sdl-config --libs`
+LIBS       += -ldl -lpthread -lz
 
-all: debug
+
+all: $(BIN)
 
 %.o: %.S
 	$(CC) $(CFLAGS) -c -o $@ $<
