=== debian/changelog ===
gpspm (2.0.1-9) unstable; urgency=low

  * Virtual kbd for n800

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 30 Dec 2011 10:27:51 +0200
 

gpspm (2.0.1-8) unstable; urgency=low

  * SDL for fremantle&amp;diablo

 -- Roman Deninberg <bonapart@programist.ru>  Tue, 17 Dec 2011 10:27:51 +0200
 
