## gpspm 3.1.1-1

=== maemo/Makefile ===
# Global definitions

CC        = $(CROSS_COMPILE)gcc

OBJS      = maemo.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o
BIN       = gpspm

# Platform specific definitions

VPATH      += .. ../arm
CFLAGS     += -DARM_ARCH -DPND_BUILD -DMAEMO_BUILD -Wall
CFLAGS     += -O2

# Expecting to have PATH set up to get correct sdl-config first

CFLAGS     += `sdl-config --cflags` $(shell pkg-config --cflags hildon-1)
LIBS       += `sdl-config --libs` -I. $(shell pkg-config --libs hildon-1)
LIBS       += -ldl -lpthread -lz

# Compilation

all: $(BIN)

%.o: %.S
	$(CC) $(CFLAGS) -c -o $@ $<

cpu.o cpu_threaded.o: CFLAGS += -Wno-unused-variable -Wno-unused-label

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LIBS) -o $(BIN)

clean:
	rm -f *.o $(BIN)
