=== debian/changelog ===
gpspm (3.1.1-1) unstable; urgency=low

  * Added a mute button to the pause menu
  * Fixed some crashes when loading zipped ROMs

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 01 Mar 2013 21:20:05 +0100

gpspm (3.1.0-1) unstable; urgency=low

  * Configuration directory moved to $HOME/.config/gpspm/
  * Added an option to specify keys configuration file
  * Revamped the command line interface and fixed crashes when parsing a malformed list of arguments
  * Rearranged the order of keys in the configuration file
  * Fixed immediately disappearing error reports

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 24 Feb 2013 23:27:45 +0100

gpspm (3.0.2-1) unstable; urgency=low

  * Try to load BIOS from ROM's directory
  * Added a pause menu activated with a key or by swiping from screen's left edge to the right edge
  * Added an option to autopause when the screen is locked or focus is lost
  * Added a key to show FPS

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 21 Feb 2013 00:06:59 +0100

gpspm (3.0.1-1) unstable; urgency=low

  * Improved the way in which image is scaled and positioned for portrait mode
  * Center of the directional pad releases directional keys
  * Fixed an incompatibility with gpspmgui due to a missing symlink
  * Fixed opening ROMs specified by a relative path
  * Upgrading no longer resets key bindings
  * Adjusted file permissions so that gpspmgui works after an upgrade without any additional steps

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 29 Dec 2012 20:11:50 +0100

gpspm (3.0-1) unstable; urgency=low

  * Refreshed/rewritten the whole port
  * Added touch controls
  * Added portrait mode
  * Savestate is saved in ROM's directory

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 29 Dec 2012 05:29:53 +0100
