## gpspm 3.1.3-1

=== debian/changelog ===
gpspm (3.1.3-1) unstable; urgency=low

  * Added support for NEON scalers

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 24 Mar 2013 18:55:39 +0100
