## gpspm 3.1.4-1

=== debian/changelog ===
gpspm (3.1.4-1) unstable; urgency=low

  * Zoom keys can be used in the control scheme
  * Fixed flaky handling of diagonal keys

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 04 Oct 2013 22:32:53 +0200
