=== maemo/Makefile ===
--- 
+++ 
@@ -3,13 +3,15 @@
 CC        = $(CROSS_COMPILE)gcc
 
 OBJS      = maemo.o main.o cpu.o memory.o video.o input.o sound.o gui.o \
-            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o
+            cheats.o zip.o cpu_threaded.o arm_stub.o video_blend.o warm.o \
+            neon_scale2x.o neon_scale3x.o neon_eagle2x.o
 BIN       = gpspm
 
 # Platform specific definitions
 
 VPATH      += .. ../arm
 CFLAGS     += -DARM_ARCH -DPND_BUILD -DMAEMO_BUILD -Wall
+CFLAGS     += -mfpu=neon
 CFLAGS     += -O2
 
 # Expecting to have PATH set up to get correct sdl-config first
