=== debian/changelog ===
gpspm (3.1.5-1) unstable; urgency=low

  * Camera key can be used in the control scheme
  * Pause menu has a button to invoke the task switcher

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 16 Oct 2013 02:11:44 +0200
