## gpspm 3.1.6-1

=== debian/changelog ===
gpspm (3.1.6-1) unstable; urgency=low

  * Allow D-pad diagonals to cancel each other out
  * Fixed accelerometer input in portrait mode
  * More sophisticated accelerometer handling
  * Configurable accelerometer options

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 15 Dec 2013 22:58:23 +0100
