## gpspm 3.1.7-1

=== debian/changelog ===
gpspm (3.1.7-1) unstable; urgency=low

  * 100% battery-friendly pause
  * Improved autopause reliability
  * Fixed (or at least made VBA-like) day of week reporting in RTC

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 18 Apr 2014 14:08:54 +0200
